summaryrefslogtreecommitdiff
path: root/dev-python/python-ctags3
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/python-ctags3
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/python-ctags3')
-rw-r--r--dev-python/python-ctags3/Manifest1
-rw-r--r--dev-python/python-ctags3/metadata.xml13
-rw-r--r--dev-python/python-ctags3/python-ctags3-1.6.0-r1.ebuild48
3 files changed, 62 insertions, 0 deletions
diff --git a/dev-python/python-ctags3/Manifest b/dev-python/python-ctags3/Manifest
new file mode 100644
index 000000000000..9d0661d91699
--- /dev/null
+++ b/dev-python/python-ctags3/Manifest
@@ -0,0 +1 @@
+DIST python-ctags3-1.6.0.gh.tar.gz 70311 BLAKE2B f286aad922f8220d5f0b42f2919425d836bd27e9b2a85739333295d6e681172b20d33d010821c881583a4bed29d103939cf4b7e1d67190ba52cf1e0a1ca75290 SHA512 38df28c1055b2240e5da7699a7c72bab85908c7b1a1b4db83f19350541fe49d8499a9b7400ad14c77166b459fbb30f6b2c22d65685ac5f392ececa3eeecb6f41
diff --git a/dev-python/python-ctags3/metadata.xml b/dev-python/python-ctags3/metadata.xml
new file mode 100644
index 000000000000..69a96d84a4dd
--- /dev/null
+++ b/dev-python/python-ctags3/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sbraz@gentoo.org</email>
+ <name>Louis Sautier</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">python-ctags3</remote-id>
+ <remote-id type="github">universal-ctags/python-ctags3</remote-id>
+ <bugs-to>https://github.com/universal-ctags/python-ctags3/issues</bugs-to>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-ctags3/python-ctags3-1.6.0-r1.ebuild b/dev-python/python-ctags3/python-ctags3-1.6.0-r1.ebuild
new file mode 100644
index 000000000000..0e76edc70096
--- /dev/null
+++ b/dev-python/python-ctags3/python-ctags3-1.6.0-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P="python-ctags3-${PV}"
+DESCRIPTION="Exuberant Ctags indexing python bindings"
+HOMEPAGE="https://github.com/universal-ctags/python-ctags3"
+# PyPI tarballs don't contain pyx files
+SRC_URI="https://github.com/universal-ctags/python-ctags3/archive/${PV}.tar.gz -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-util/ctags:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # We currently need to let Cython regenerate this file to make Python 3.11
+ # support work
+ rm src/_readtags.c || die
+ cython -3 src/_readtags.pyx || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # To prevent pytest from importing it and failing with:
+ # ModuleNotFoundError: No module named 'ctags._readtags'
+ rm -rf src/ctags || die
+ epytest
+}